/** 
* This script changes all Audio Event Fade types to smooth
* 
* 
* Revision Date: Okt. 23, 2003 
**/ 



import Sony.Vegas;

 //Go through the list of Tracks
    var trackEnum = new Enumerator(Vegas.Project.Tracks);
    while (!trackEnum.atEnd()) {
      var track : Track = Track(trackEnum.item());

      //Go through the list of Events
      var eventEnum = new Enumerator(track.Events);
      while (!eventEnum.atEnd()) {
        var evnt : TrackEvent = TrackEvent(eventEnum.item());

        if (evnt.Selected) {
            evnt.FadeIn.Curve = CurveType.Slow;
            evnt.FadeIn.ReciprocalCurve = CurveType.Fast;
            evnt.FadeOut.Curve = CurveType.Fast;
            evnt.FadeOut.ReciprocalCurve = CurveType.Slow;
            }
        eventEnum.moveNext();
      }
      trackEnum.moveNext();
    }
